@import "variables";

[host=app-test-deep-host] {
  display: block;

  app-test-parent[child-of=app-test-deep-host] {
    background-color: limegreen;

    p[child-of=app-test-deep-host] {
      color: red;
    }

    app-test-child[child-of=app-test-deep-host] {
      p[child-of=app-test-deep-host] {
        background-color: white;
        color: blue;
      }
    }
  }
}
